# RecurrenceTransactionStore

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Description** | **string** |  | [default to null]
**Amount** | **string** | Amount of the transaction. | [default to null]
**ForeignAmount** | **string** | Foreign amount of the transaction. | [optional] [default to null]
**CurrencyId** | **string** | Submit either a currency_id or a currency_code. | [optional] [default to null]
**CurrencyCode** | **string** | Submit either a currency_id or a currency_code. | [optional] [default to null]
**ForeignCurrencyId** | **string** | Submit either a foreign_currency_id or a foreign_currency_code, or neither. | [optional] [default to null]
**ForeignCurrencyCode** | **string** | Submit either a foreign_currency_id or a foreign_currency_code, or neither. | [optional] [default to null]
**BudgetId** | **string** | The budget ID for this transaction. | [optional] [default to null]
**CategoryId** | **string** | Category ID for this transaction. | [optional] [default to null]
**SourceId** | **string** | ID of the source account. | [default to null]
**DestinationId** | **string** | ID of the destination account. | [default to null]
**Tags** | **[]string** | Array of tags. | [optional] [default to null]
**PiggyBankId** | **string** | Optional. | [optional] [default to null]
**BillId** | **string** | Optional. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

